
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Jekyll v3.8.6">
    <title>Django GitLab</title>

    <!-- Bootstrap core CSS -->
    {% block stylesheets %}
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
              crossorigin="anonymous">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
              crossorigin="anonymous">
        <link rel="stylesheet"
              href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.bundle.min.js"
              crossorigin="anonymous">

      <style>
          html,
            body {
              height: 100%;
            }

            body {
              display: -ms-flexbox;
              display: -webkit-box;
              display: flex;
              -ms-flex-align: center;
              -ms-flex-pack: center;
              -webkit-box-align: center;
              align-items: center;
              -webkit-box-pack: center;
              justify-content: center;
              padding-top: 40px;
              padding-bottom: 40px;
            }

          .bg-dark {
              background-color: rgb(38,35,85)!important;
          }
      </style>
    {% endblock stylesheets %}

  </head>
  <body class="text-center">
    <div class="form-signin">
      {% if feature.contribute %}
      <img class="mb-4" src="https://about.gitlab.com/images/events/gitlab-contribute-icon-web.png" alt="" width="180" height="180">
      {% else %}
      <img class="mb-4" src="https://about.gitlab.com/images/press/logo/svg/gitlab-icon-rgb.svg" alt="" width="180" height="180">
      {% endif %}
      <h1 class="h3 mb-3 font-weight-normal">Feature Flags</h1>
        <ul class="list-group">
        {% for flag, value in feature.items %}
            <li class="list-group-item">{{ flag }}: <span class="badge badge-light">{{ value }}</span></li>
        {% endfor %}
        </ul>
      {% if feature.innocuous_button %}
      <a href="{% url 'error' %}" class="btn btn-lg btn-primary btn-block" type="submit">New Innocuous Button</a>
      {% endif %}
      <p class="mt-5 mb-3 text-muted">Everyone can contribute.</p>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    </div>


    <nav class="navbar fixed-bottom navbar-expand-sm navbar-dark bg-dark">
      <a class="navbar-brand" href="{{ gitlab.project_url }}">GitLab <span title="Runner Version: {{ gitlab.runner_version }}">{{ gitlab.server_version }}</span></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="#">Version: {{ gitlab.commit_short_sha }}</a>
          </li>
          <li class="nav-item active">
            <a class="nav-link" href="#">Client IP: {{ gitlab.client_ip }}</a>
          </li>
          <li class="nav-item active">
            <a class="nav-link">Environment: {{ gitlab.environment_name }}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" target="_blank" href="{{ gitlab.feature_flags }}">Feature Flags</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" target="_blank" href="{{ gitlab.error_tracking }}">Error Tracking</a>
          </li>
        </ul>
      </div>
    </nav>
  </body>
</html>
